Bug 1993 - [UPDATE REQUEST] desktop-file-utils-0.18 to 0.21
: [UPDATE REQUEST] desktop-file-utils-0.18 to 0.21
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-06 20:43 MSD by symbianflo
Modified: 2013-05-15 11:35 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description symbianflo 2013-05-06 20:43:59 MSD
[UPDATE REQUEST] desktop-file-utils-0.18 to 0.21
This would be the latest upstream release.

( Employes of Rosa checked since is used only by the packaging team 
I don't think the enduser need to be involved)
Comment 1 symbianflo 2013-05-06 21:09:48 MSD
Advisory: New featured release desktop-file-utils-0.21 

 [UPDATE REQUEST]  desktop-file-utils-0.18 to 0.21 
full changelog:
http://freedesktop.org/wiki/Software/desktop-file-utils

New feature that we don't have on 0.18 that should be checked :
##############

*desktop-file-validate  - accept and validate GNOME3/GSettings for AutostartCondition
*desktop-file-validate  - output hint about suggested related categories
*desktop-file-validate  - output hint if more than one main category is present
*desktop-file-validate  - only print hint if no main category is present, not an error

###############

*desktop-file-install - -m, --mode=MODE   Set the permissions of the destination files to MODE

*desktop-file-install - --set-key=KEY  Set the KEY key to VALUE passed
to next

*desktop-file-install - --set-comment=COMMENT  Set the "Comment" key to COMMENT


*desktop-file-install - --set-icon=ICON   Set the "Icon" key to ICON


*desktop-file-install - --add-mime-type=MIME-TYPE  Add MIME-TYPE to the list of
MIME types

*desktop-file-install - --remove-mime-type=MIME-TYPE   Remove MIME-TYPE from the list of MIME types

*desktop-file-install -  --add-not-show-in=ENVIRONMENT   Add ENVIRONMENT to the list of desktop environment where the desktop files should not be
displayed 

*desktop-file-install - --rebuild-mime-info-cache   Rebuild the MIME types
application database after processing desktop files


IMPORTANT:
Due my limited knowledge of desktop-file-utils tool it's very likely that a lot more new feature are available , I've only present the options that I'm using in every day packaging.

If you need more infos please let me know , and I'll try to answer 
( but no guarantee that I'll be able to do it..)

I've prepare 4 builds for testing , one per arch per Rosa:
Rosa LTS:
x86_64: https://abf.rosalinux.ru/build_lists/1076882
ix86:   https://abf.rosalinux.ru/build_lists/1076881

Rosa2012.1:
x86_64:  https://abf.rosalinux.ru/build_lists/1076880
ix86:    https://abf.rosalinux.ru/build_lists/1076879
Comment 2 symbianflo 2013-05-06 21:11:44 MSD
I don't have the update request in RESOLVED/FIXED so please be patient ...
Comment 3 symbianflo 2013-05-10 23:11:48 MSD
Advisory: New featured release desktop-file-utils-0.21
Comment 4 Denis Koryavov 2013-05-10 23:53:55 MSD
To create update request, bug should be submitted to "Desktop Bugs" section and 'Request for Update' flag checked (it can be enabled only when you will write "Advisory" and "Build lists:" sections). And, as a rule: one bug for one platform. So, I suggest to use this bug for update 2012.1 platform.

 
Advisory: 
New featured release desktop-file-utils-0.21

Build lists:
x86_64:  https://abf.rosalinux.ru/build_lists/1076880
ix86:    https://abf.rosalinux.ru/build_lists/1076879
Comment 5 symbianflo 2013-05-11 00:03:22 MSD
Ok thank you .
AFIC you can close it .

Greetings
Comment 6 Vladimir Potapov 2013-05-14 17:26:18 MSD
desktop-file-utils-0.21-1-rosa2012.1
*************************** Advisory ****************************
New featured release desktop-file-utils-0.21
*****************************************************************
QA Verified
Comment 7 symbianflo 2013-05-14 19:22:44 MSD
Thank you 
here you have the builds for 2012.1/MAIN to be published:
https://abf.rosalinux.ru/build_lists/1088985
https://abf.rosalinux.ru/build_lists/1088986


linting exit:
Executing "/usr/bin/rpmlint -T -f /builddir/build/SOURCES/desktop-file-utils.rpmlintrc /builddir/build/RPMS/desktop-file-utils-0.21-1-rosa2012.1.i586.rpm /builddir/build/RPMS/desktop-file-utils-debuginfo-0.21-1-rosa2012.1.i586.rpm":
2 packages and 0 specfiles checked; 0 errors, 0 warnings.